<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.2"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>VivianUI: TriLib.AssetLoaderZip Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">VivianUI
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.2 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_tri_lib_1_1_asset_loader_zip.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_tri_lib_1_1_asset_loader_zip-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">TriLib.AssetLoaderZip Class Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Represents an Asset Loader which handles ZIP files (extracting them locally) and has synchronous and asynchronous methods.  
 <a href="class_tri_lib_1_1_asset_loader_zip.html#details">More...</a></p>
<div class="dynheader">
Inheritance diagram for TriLib.AssetLoaderZip:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_tri_lib_1_1_asset_loader_zip.png" usemap="#TriLib.AssetLoaderZip_map" alt=""/>
  <map id="TriLib.AssetLoaderZip_map" name="TriLib.AssetLoaderZip_map">
<area href="class_tri_lib_1_1_asset_loader_base.html" title="Base asset loader." alt="TriLib.AssetLoaderBase" shape="rect" coords="0,56,147,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a265ca6c671ae06abbc23dc9220f2895e"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_zip.html#a265ca6c671ae06abbc23dc9220f2895e">LoadFromFile</a> (string filename, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options=null, GameObject wrapperGameObject=null, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a> progressCallback=null)</td></tr>
<tr class="memdesc:a265ca6c671ae06abbc23dc9220f2895e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads a UnityEngine.GameObject from input filename with defined options.  <a href="class_tri_lib_1_1_asset_loader_zip.html#a265ca6c671ae06abbc23dc9220f2895e">More...</a><br /></td></tr>
<tr class="separator:a265ca6c671ae06abbc23dc9220f2895e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a144e28ece6a7fa071224c8e579fb4bec"><td class="memItemLeft" align="right" valign="top">Thread&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_zip.html#a144e28ece6a7fa071224c8e579fb4bec">LoadFromFileAsync</a> (string filename, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options=null, GameObject wrapperGameObject=null, <a class="el" href="namespace_tri_lib.html#a9daf3939b26812f1c6b8ce45223cebde">ObjectLoadedHandle</a> onAssetLoaded=null, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a> progressCallback=null)</td></tr>
<tr class="memdesc:a144e28ece6a7fa071224c8e579fb4bec"><td class="mdescLeft">&#160;</td><td class="mdescRight">Asynchronously loads a UnityEngine.GameObject from input filename with defined options.  <a href="class_tri_lib_1_1_asset_loader_zip.html#a144e28ece6a7fa071224c8e579fb4bec">More...</a><br /></td></tr>
<tr class="separator:a144e28ece6a7fa071224c8e579fb4bec"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:a1adb87741aef46a4149049052b8ae200 inherit pub_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a id="a1adb87741aef46a4149049052b8ae200" name="a1adb87741aef46a4149049052b8ae200"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>TriggerOnAvatarCreated</b> (Avatar avatar, Animator animator)</td></tr>
<tr class="separator:a1adb87741aef46a4149049052b8ae200 inherit pub_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa6fa7e7486f02342e455f0b46fbc2f14 inherit pub_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a id="aa6fa7e7486f02342e455f0b46fbc2f14" name="aa6fa7e7486f02342e455f0b46fbc2f14"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>Dispose</b> ()</td></tr>
<tr class="separator:aa6fa7e7486f02342e455f0b46fbc2f14 inherit pub_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="inherited" name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pub_static_methods_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('pub_static_methods_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Static Public Member Functions inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:a1738039b36f43ad3c93c797d4ccb5fc1 inherit pub_static_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a1738039b36f43ad3c93c797d4ccb5fc1">IsExtensionSupported</a> (string extension)</td></tr>
<tr class="memdesc:a1738039b36f43ad3c93c797d4ccb5fc1 inherit pub_static_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks whether the given file extension is supported.  <a href="class_tri_lib_1_1_asset_loader_base.html#a1738039b36f43ad3c93c797d4ccb5fc1">More...</a><br /></td></tr>
<tr class="separator:a1738039b36f43ad3c93c797d4ccb5fc1 inherit pub_static_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad66a1c17acea7e323ea0935d91a285ba inherit pub_static_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ad66a1c17acea7e323ea0935d91a285ba">GetSupportedFileExtensions</a> ()</td></tr>
<tr class="memdesc:ad66a1c17acea7e323ea0935d91a285ba inherit pub_static_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a string of supported file extensions.  <a href="class_tri_lib_1_1_asset_loader_base.html#ad66a1c17acea7e323ea0935d91a285ba">More...</a><br /></td></tr>
<tr class="separator:ad66a1c17acea7e323ea0935d91a285ba inherit pub_static_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_attribs_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('pub_attribs_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Public Attributes inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:a556ace938cbce1bfecc7bb99693566bb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_node_data.html">NodeData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a556ace938cbce1bfecc7bb99693566bb">RootNodeData</a></td></tr>
<tr class="memdesc:a556ace938cbce1bfecc7bb99693566bb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Main scene <a class="el" href="class_tri_lib_1_1_node_data.html" title="Internally represents a Unity UnityEngine.GameObject.">TriLib.NodeData</a>.  <a href="class_tri_lib_1_1_asset_loader_base.html#a556ace938cbce1bfecc7bb99693566bb">More...</a><br /></td></tr>
<tr class="separator:a556ace938cbce1bfecc7bb99693566bb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9295d3cd6d9b5b41fde393716041a37 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_material_data.html">MaterialData</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae9295d3cd6d9b5b41fde393716041a37">MaterialData</a></td></tr>
<tr class="memdesc:ae9295d3cd6d9b5b41fde393716041a37 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processed <a class="el" href="class_tri_lib_1_1_material_data.html" title="Internally represents a Unity UnityEngine.Material.">TriLib.MaterialData</a> list.  <a href="class_tri_lib_1_1_asset_loader_base.html#ae9295d3cd6d9b5b41fde393716041a37">More...</a><br /></td></tr>
<tr class="separator:ae9295d3cd6d9b5b41fde393716041a37 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abce294a7af776bb4b9648b562b5433e4 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_mesh_data.html">MeshData</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#abce294a7af776bb4b9648b562b5433e4">MeshData</a></td></tr>
<tr class="memdesc:abce294a7af776bb4b9648b562b5433e4 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processed <a class="el" href="class_tri_lib_1_1_mesh_data.html" title="Internally represents a Unity UnityEngine.Mesh.">TriLib.MeshData</a> list.  <a href="class_tri_lib_1_1_asset_loader_base.html#abce294a7af776bb4b9648b562b5433e4">More...</a><br /></td></tr>
<tr class="separator:abce294a7af776bb4b9648b562b5433e4 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a65cbf5ca0cefd95a258c5e478995814a inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_animation_data.html">AnimationData</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a65cbf5ca0cefd95a258c5e478995814a">AnimationData</a></td></tr>
<tr class="memdesc:a65cbf5ca0cefd95a258c5e478995814a inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processed <a class="el" href="class_tri_lib_1_1_animation_data.html" title="Internally represents an Unity UnityEngine.AnimationClip.">TriLib.AnimationData</a> list.  <a href="class_tri_lib_1_1_asset_loader_base.html#a65cbf5ca0cefd95a258c5e478995814a">More...</a><br /></td></tr>
<tr class="separator:a65cbf5ca0cefd95a258c5e478995814a inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd7ddb9d55c6aa4f472311b57945468a inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_camera_data.html">CameraData</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acd7ddb9d55c6aa4f472311b57945468a">CameraData</a></td></tr>
<tr class="memdesc:acd7ddb9d55c6aa4f472311b57945468a inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processed <a class="el" href="class_tri_lib_1_1_camera_data.html" title="Internally represents a Unity UnityEngine.Camera.">TriLib.CameraData</a> list.  <a href="class_tri_lib_1_1_asset_loader_base.html#acd7ddb9d55c6aa4f472311b57945468a">More...</a><br /></td></tr>
<tr class="separator:acd7ddb9d55c6aa4f472311b57945468a inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3fff4b95eead7652ea35fa788731fb7d inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a3fff4b95eead7652ea35fa788731fb7d">Metadata</a></td></tr>
<tr class="memdesc:a3fff4b95eead7652ea35fa788731fb7d inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processed <a class="el" href="class_tri_lib_1_1_assimp_metadata.html" title="Represents an Assimp metadata.">TriLib.AssimpMetadata</a> list.  <a href="class_tri_lib_1_1_asset_loader_base.html#a3fff4b95eead7652ea35fa788731fb7d">More...</a><br /></td></tr>
<tr class="separator:a3fff4b95eead7652ea35fa788731fb7d inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae60e3da3ad3448b920fb92d893a36fa5 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">Dictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae60e3da3ad3448b920fb92d893a36fa5">NodesPath</a></td></tr>
<tr class="memdesc:ae60e3da3ad3448b920fb92d893a36fa5 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processed nodes path dictionary.  <a href="class_tri_lib_1_1_asset_loader_base.html#ae60e3da3ad3448b920fb92d893a36fa5">More...</a><br /></td></tr>
<tr class="separator:ae60e3da3ad3448b920fb92d893a36fa5 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a12cce5f459351a8440d3943241d2b877 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">Dictionary&lt; string, Material &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a12cce5f459351a8440d3943241d2b877">LoadedMaterials</a></td></tr>
<tr class="memdesc:a12cce5f459351a8440d3943241d2b877 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loaded UnityEngine.Material for a given name dictionary.  <a href="class_tri_lib_1_1_asset_loader_base.html#a12cce5f459351a8440d3943241d2b877">More...</a><br /></td></tr>
<tr class="separator:a12cce5f459351a8440d3943241d2b877 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a138e8d2e64d0a5013925c2b799e4c90b inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">Dictionary&lt; string, Texture2D &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a138e8d2e64d0a5013925c2b799e4c90b">LoadedTextures</a></td></tr>
<tr class="memdesc:a138e8d2e64d0a5013925c2b799e4c90b inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loaded UnityEngine.Texture2D for a given name dictionary.  <a href="class_tri_lib_1_1_asset_loader_base.html#a138e8d2e64d0a5013925c2b799e4c90b">More...</a><br /></td></tr>
<tr class="separator:a138e8d2e64d0a5013925c2b799e4c90b inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4d1a5eb9208a2a0fbfa5cf725d4eb3fb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">Dictionary&lt; SkinnedMeshRenderer, IList&lt; string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4d1a5eb9208a2a0fbfa5cf725d4eb3fb">LoadedBoneNames</a></td></tr>
<tr class="memdesc:a4d1a5eb9208a2a0fbfa5cf725d4eb3fb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loaded bone names for a given UnityEngine.SkinnedMeshRenderer dictionary.  <a href="class_tri_lib_1_1_asset_loader_base.html#a4d1a5eb9208a2a0fbfa5cf725d4eb3fb">More...</a><br /></td></tr>
<tr class="separator:a4d1a5eb9208a2a0fbfa5cf725d4eb3fb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a32e6b63de187f4c255b75cce28ed7f1d inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">Dictionary&lt; string, <a class="el" href="class_tri_lib_1_1_mesh_data.html">MeshData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a32e6b63de187f4c255b75cce28ed7f1d">MeshDataConnections</a></td></tr>
<tr class="memdesc:a32e6b63de187f4c255b75cce28ed7f1d inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">UnityEngine.GameObject and <a class="el" href="class_tri_lib_1_1_mesh_data.html" title="Internally represents a Unity UnityEngine.Mesh.">MeshData</a> relationship dictionary used to apply blend-shape animations.  <a href="class_tri_lib_1_1_asset_loader_base.html#a32e6b63de187f4c255b75cce28ed7f1d">More...</a><br /></td></tr>
<tr class="separator:a32e6b63de187f4c255b75cce28ed7f1d inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4369d9c48336a8c79ccf193615ee12ac inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">Dictionary&lt; string, <a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4369d9c48336a8c79ccf193615ee12ac">EmbeddedTextures</a></td></tr>
<tr class="memdesc:a4369d9c48336a8c79ccf193615ee12ac inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loaded <a class="el" href="class_tri_lib_1_1_embedded_texture_data.html" title="Represents a texture.">EmbeddedTextureData</a> for a given name dictionary.  <a href="class_tri_lib_1_1_asset_loader_base.html#a4369d9c48336a8c79ccf193615ee12ac">More...</a><br /></td></tr>
<tr class="separator:a4369d9c48336a8c79ccf193615ee12ac inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaafb30adc889808b815e44911a0530c inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">uint&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aaaafb30adc889808b815e44911a0530c">NodeId</a></td></tr>
<tr class="memdesc:aaaafb30adc889808b815e44911a0530c inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to temporarily store nodes id.  <a href="class_tri_lib_1_1_asset_loader_base.html#aaaafb30adc889808b815e44911a0530c">More...</a><br /></td></tr>
<tr class="separator:aaaafb30adc889808b815e44911a0530c inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9180e166e092d56f446e6d501272eb24 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a9180e166e092d56f446e6d501272eb24">HasBoneInfo</a></td></tr>
<tr class="memdesc:a9180e166e092d56f446e6d501272eb24 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to temporarily indicate if there are any bones assigned to loaded meshes.  <a href="class_tri_lib_1_1_asset_loader_base.html#a9180e166e092d56f446e6d501272eb24">More...</a><br /></td></tr>
<tr class="separator:a9180e166e092d56f446e6d501272eb24 inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a549317d2db7ca7ff72124dd2814db2bb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a549317d2db7ca7ff72124dd2814db2bb">HasBlendShapes</a></td></tr>
<tr class="memdesc:a549317d2db7ca7ff72124dd2814db2bb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Used to temporarily indicate if there are any blend shapes assigned to loaded meshes.  <a href="class_tri_lib_1_1_asset_loader_base.html#a549317d2db7ca7ff72124dd2814db2bb">More...</a><br /></td></tr>
<tr class="separator:a549317d2db7ca7ff72124dd2814db2bb inherit pub_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('pub_static_attribs_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Static Public Attributes inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:a7444586b5f81f8b8045e6cc5052c5a18 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="class_tri_lib_1_1_concurrent_list.html">ConcurrentList</a>&lt; <a class="el" href="class_tri_lib_1_1_file_load_data.html">FileLoadData</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a7444586b5f81f8b8045e6cc5052c5a18">FilesLoadData</a> = new <a class="el" href="class_tri_lib_1_1_concurrent_list.html">ConcurrentList</a>&lt;<a class="el" href="class_tri_lib_1_1_file_load_data.html">FileLoadData</a>&gt;()</td></tr>
<tr class="memdesc:a7444586b5f81f8b8045e6cc5052c5a18 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stores a <a class="el" href="class_tri_lib_1_1_file_load_data.html">FileLoadData</a> reference list for callbacks.  <a href="class_tri_lib_1_1_asset_loader_base.html#a7444586b5f81f8b8045e6cc5052c5a18">More...</a><br /></td></tr>
<tr class="separator:a7444586b5f81f8b8045e6cc5052c5a18 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3328de25cbb8fb625f5949cf39e8191 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae3328de25cbb8fb625f5949cf39e8191">StandardBaseMaterial</a></td></tr>
<tr class="memdesc:ae3328de25cbb8fb625f5949cf39e8191 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Diffuse UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#ae3328de25cbb8fb625f5949cf39e8191">More...</a><br /></td></tr>
<tr class="separator:ae3328de25cbb8fb625f5949cf39e8191 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeff53d39ac2daf7d5e9579c86cfc7cc6 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aeff53d39ac2daf7d5e9579c86cfc7cc6">StandardSpecularMaterial</a></td></tr>
<tr class="memdesc:aeff53d39ac2daf7d5e9579c86cfc7cc6 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Specular UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#aeff53d39ac2daf7d5e9579c86cfc7cc6">More...</a><br /></td></tr>
<tr class="separator:aeff53d39ac2daf7d5e9579c86cfc7cc6 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a415926dd79eba1c095f92c42f37756c0 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a415926dd79eba1c095f92c42f37756c0">StandardBaseAlphaMaterial</a></td></tr>
<tr class="memdesc:a415926dd79eba1c095f92c42f37756c0 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Diffuse Alpha UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#a415926dd79eba1c095f92c42f37756c0">More...</a><br /></td></tr>
<tr class="separator:a415926dd79eba1c095f92c42f37756c0 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8dc6bc18710feafe2f9118630ca7dbda inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a8dc6bc18710feafe2f9118630ca7dbda">StandardSpecularAlphaMaterial</a></td></tr>
<tr class="memdesc:a8dc6bc18710feafe2f9118630ca7dbda inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Specular Alpha UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#a8dc6bc18710feafe2f9118630ca7dbda">More...</a><br /></td></tr>
<tr class="separator:a8dc6bc18710feafe2f9118630ca7dbda inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af8a12480a0ace6fd3b9e05550631030a inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#af8a12480a0ace6fd3b9e05550631030a">StandardBaseCutoutMaterial</a></td></tr>
<tr class="memdesc:af8a12480a0ace6fd3b9e05550631030a inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Diffuse Cutout UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#af8a12480a0ace6fd3b9e05550631030a">More...</a><br /></td></tr>
<tr class="separator:af8a12480a0ace6fd3b9e05550631030a inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6e30fe5ad51d54ccba1923394a1286f inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac6e30fe5ad51d54ccba1923394a1286f">StandardBaseFadeMaterial</a></td></tr>
<tr class="memdesc:ac6e30fe5ad51d54ccba1923394a1286f inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Diffuse Fade UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#ac6e30fe5ad51d54ccba1923394a1286f">More...</a><br /></td></tr>
<tr class="separator:ac6e30fe5ad51d54ccba1923394a1286f inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2fa43055b9480aaddd559bafbcef478d inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a2fa43055b9480aaddd559bafbcef478d">StandardSpecularCutoutMaterial</a></td></tr>
<tr class="memdesc:a2fa43055b9480aaddd559bafbcef478d inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Specular Cutout UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#a2fa43055b9480aaddd559bafbcef478d">More...</a><br /></td></tr>
<tr class="separator:a2fa43055b9480aaddd559bafbcef478d inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb87af6b8e29cf4cf80122b18cc5b3da inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acb87af6b8e29cf4cf80122b18cc5b3da">StandardSpecularFadeMaterial</a></td></tr>
<tr class="memdesc:acb87af6b8e29cf4cf80122b18cc5b3da inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Specular Fade UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#acb87af6b8e29cf4cf80122b18cc5b3da">More...</a><br /></td></tr>
<tr class="separator:acb87af6b8e29cf4cf80122b18cc5b3da inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf2ca3e26b5dedea51a42ffbf7b414f6 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aaf2ca3e26b5dedea51a42ffbf7b414f6">StandardRoughnessMaterial</a></td></tr>
<tr class="memdesc:aaf2ca3e26b5dedea51a42ffbf7b414f6 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Roughness UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#aaf2ca3e26b5dedea51a42ffbf7b414f6">More...</a><br /></td></tr>
<tr class="separator:aaf2ca3e26b5dedea51a42ffbf7b414f6 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a259ae1ff58852461872eb50a48382086 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a259ae1ff58852461872eb50a48382086">StandardRoughnessCutoutMaterial</a></td></tr>
<tr class="memdesc:a259ae1ff58852461872eb50a48382086 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Roughness Cutout UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#a259ae1ff58852461872eb50a48382086">More...</a><br /></td></tr>
<tr class="separator:a259ae1ff58852461872eb50a48382086 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8789de516ffab991302ea8ec73bdbf8 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac8789de516ffab991302ea8ec73bdbf8">StandardRoughnessFadeMaterial</a></td></tr>
<tr class="memdesc:ac8789de516ffab991302ea8ec73bdbf8 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Roughness Fade UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#ac8789de516ffab991302ea8ec73bdbf8">More...</a><br /></td></tr>
<tr class="separator:ac8789de516ffab991302ea8ec73bdbf8 inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a486749cb1f54a6c7e5bb65d779d4edfe inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a486749cb1f54a6c7e5bb65d779d4edfe">StandardRoughnessAlphaMaterial</a></td></tr>
<tr class="memdesc:a486749cb1f54a6c7e5bb65d779d4edfe inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Base Roughness Alpha UnityEngine.Material used to load materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#a486749cb1f54a6c7e5bb65d779d4edfe">More...</a><br /></td></tr>
<tr class="separator:a486749cb1f54a6c7e5bb65d779d4edfe inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a841c8d73a107cf27c705566d90948cfd inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">static Texture2D&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a841c8d73a107cf27c705566d90948cfd">NotFoundTexture</a></td></tr>
<tr class="memdesc:a841c8d73a107cf27c705566d90948cfd inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">UnityEngine.Texture used to show when no texture is found.  <a href="class_tri_lib_1_1_asset_loader_base.html#a841c8d73a107cf27c705566d90948cfd">More...</a><br /></td></tr>
<tr class="separator:a841c8d73a107cf27c705566d90948cfd inherit pub_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:a007ae3fbdb9416a9f6db197ac64db582 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a007ae3fbdb9416a9f6db197ac64db582">TriggerOnMeshCreated</a> (uint meshIndex, Mesh mesh)</td></tr>
<tr class="memdesc:a007ae3fbdb9416a9f6db197ac64db582 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers the on mesh created event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a007ae3fbdb9416a9f6db197ac64db582">More...</a><br /></td></tr>
<tr class="separator:a007ae3fbdb9416a9f6db197ac64db582 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3aadabcce5e0ebc96a3cf7588bfb797c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a3aadabcce5e0ebc96a3cf7588bfb797c">TriggerOnMaterialCreated</a> (uint materialIndex, bool isOverriden, Material material)</td></tr>
<tr class="memdesc:a3aadabcce5e0ebc96a3cf7588bfb797c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers the on material created event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a3aadabcce5e0ebc96a3cf7588bfb797c">More...</a><br /></td></tr>
<tr class="separator:a3aadabcce5e0ebc96a3cf7588bfb797c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c676e618e076e6988f9f920fa23cee7 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a3c676e618e076e6988f9f920fa23cee7">TriggerOnTextureLoaded</a> (string sourcePath, Material material, string propertyName, Texture2D texture)</td></tr>
<tr class="memdesc:a3c676e618e076e6988f9f920fa23cee7 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers the on texture loaded event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a3c676e618e076e6988f9f920fa23cee7">More...</a><br /></td></tr>
<tr class="separator:a3c676e618e076e6988f9f920fa23cee7 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbdb684466bab4406954d9a2499d9d38 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acbdb684466bab4406954d9a2499d9d38">TriggerOnAnimationClipCreated</a> (uint animationClipIndex, AnimationClip animationClip)</td></tr>
<tr class="memdesc:acbdb684466bab4406954d9a2499d9d38 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers the on animation clip created event.  <a href="class_tri_lib_1_1_asset_loader_base.html#acbdb684466bab4406954d9a2499d9d38">More...</a><br /></td></tr>
<tr class="separator:acbdb684466bab4406954d9a2499d9d38 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a059f3a65c98d07d24a88e35b43f17c08 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a059f3a65c98d07d24a88e35b43f17c08">TriggerOnObjectLoaded</a> (GameObject loadedGameObject)</td></tr>
<tr class="memdesc:a059f3a65c98d07d24a88e35b43f17c08 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers the on object loaded event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a059f3a65c98d07d24a88e35b43f17c08">More...</a><br /></td></tr>
<tr class="separator:a059f3a65c98d07d24a88e35b43f17c08 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaecfae1366a2747fcd76d4f0cb1a0221 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aaecfae1366a2747fcd76d4f0cb1a0221">TriggerOnMetadataProcessed</a> (<a class="el" href="namespace_tri_lib.html#a24138cb9cc4ad8f52e30b59bb3cc04cd">AssimpMetadataType</a> metadataType, uint metadataIndex, string metadataKey, object metadataValue)</td></tr>
<tr class="memdesc:aaecfae1366a2747fcd76d4f0cb1a0221 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers the on metadata processed event.  <a href="class_tri_lib_1_1_asset_loader_base.html#aaecfae1366a2747fcd76d4f0cb1a0221">More...</a><br /></td></tr>
<tr class="separator:aaecfae1366a2747fcd76d4f0cb1a0221 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a205e299d2b589896f8f9898d83d519df inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a205e299d2b589896f8f9898d83d519df">TriggerOnBlendShapeKeyCreated</a> (Mesh mesh, string name, Vector3[] vertices, Vector3[] normals, Vector4[] tangents, Vector4[] biTangents)</td></tr>
<tr class="memdesc:a205e299d2b589896f8f9898d83d519df inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Triggers the on blend-shape key created event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a205e299d2b589896f8f9898d83d519df">More...</a><br /></td></tr>
<tr class="separator:a205e299d2b589896f8f9898d83d519df inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acc40fb637929c2ac1b2f300e536a8ab0 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acc40fb637929c2ac1b2f300e536a8ab0">InternalLoadFromMemory</a> (byte[] fileBytes, string filename, string basePath, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options=null, bool usesWrapperGameObject=false, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#aad218c7a6179beee448b78dde2bd0f58">AssimpInterop.DataCallback</a> dataCallback=null, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a545dddfb0538385ca925207fd830e039">AssimpInterop.ExistsCallback</a> existsCallback=null, <a class="el" href="namespace_tri_lib.html#a5a26f74a4ebcff8138135eac4633ac33">LoadTextureDataCallback</a> loadTextureDataCallback=null, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a> progressCallback=null, <a class="el" href="class_tri_lib_1_1_file_load_data.html">FileLoadData</a> customFileLoadData=null)</td></tr>
<tr class="memdesc:acc40fb637929c2ac1b2f300e536a8ab0 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Internally loads a file from memory into its data representation.  <a href="class_tri_lib_1_1_asset_loader_base.html#acc40fb637929c2ac1b2f300e536a8ab0">More...</a><br /></td></tr>
<tr class="separator:acc40fb637929c2ac1b2f300e536a8ab0 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acb3ee2828615192236ac93e5c1e6d52b inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#acb3ee2828615192236ac93e5c1e6d52b">InternalLoadFromMemoryAndZip</a> (byte[] data, string assetExtension, string basePath, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options=null, bool usesWrapperGameObject=false, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#aad218c7a6179beee448b78dde2bd0f58">AssimpInterop.DataCallback</a> dataCallback=null, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a545dddfb0538385ca925207fd830e039">AssimpInterop.ExistsCallback</a> existsCallback=null, <a class="el" href="namespace_tri_lib.html#a5a26f74a4ebcff8138135eac4633ac33">LoadTextureDataCallback</a> loadTextureDataCallback=null, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a> progressCallback=null, string filename=null)</td></tr>
<tr class="memdesc:acb3ee2828615192236ac93e5c1e6d52b inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Internally loads a model from memory with custom embedded texture loading for ZIP files.  <a href="class_tri_lib_1_1_asset_loader_base.html#acb3ee2828615192236ac93e5c1e6d52b">More...</a><br /></td></tr>
<tr class="separator:acb3ee2828615192236ac93e5c1e6d52b inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae1a61eb6598df376e0e9bfb0aaba21e0 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae1a61eb6598df376e0e9bfb0aaba21e0">InternalLoadFromFile</a> (string filename, string basePath, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options=null, bool usesWrapperGameObject=false, <a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a> progressCallback=null)</td></tr>
<tr class="memdesc:ae1a61eb6598df376e0e9bfb0aaba21e0 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Internally loads a file from file system into it's data representation.  <a href="class_tri_lib_1_1_asset_loader_base.html#ae1a61eb6598df376e0e9bfb0aaba21e0">More...</a><br /></td></tr>
<tr class="separator:ae1a61eb6598df376e0e9bfb0aaba21e0 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9af74e34c726daab0cee3ecd4875eda1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a9af74e34c726daab0cee3ecd4875eda1">BuildGameObject</a> (<a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options, string basePath=null, GameObject wrapperGameObject=null)</td></tr>
<tr class="memdesc:a9af74e34c726daab0cee3ecd4875eda1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Builds the UnityEngine.GameObject from pre-loaded data.  <a href="class_tri_lib_1_1_asset_loader_base.html#a9af74e34c726daab0cee3ecd4875eda1">More...</a><br /></td></tr>
<tr class="separator:a9af74e34c726daab0cee3ecd4875eda1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8b4bd25a2f6c802d1d359b44e5597038 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a8b4bd25a2f6c802d1d359b44e5597038">SetupSkinnedMeshRendererTransforms</a> (GameObject gameObject)</td></tr>
<tr class="memdesc:a8b4bd25a2f6c802d1d359b44e5597038 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setups the UnityEngine.SkinnedMeshRenderer bone transforms.  <a href="class_tri_lib_1_1_asset_loader_base.html#a8b4bd25a2f6c802d1d359b44e5597038">More...</a><br /></td></tr>
<tr class="separator:a8b4bd25a2f6c802d1d359b44e5597038 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad4eb41e7b70670b4de413e6e4a3de298 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ad4eb41e7b70670b4de413e6e4a3de298">ProcessMetadata</a> (<a class="el" href="class_tri_lib_1_1_assimp_metadata.html">AssimpMetadata</a> metadata)</td></tr>
<tr class="memdesc:ad4eb41e7b70670b4de413e6e4a3de298 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Processes the given metadata by triggering the OnMetadataProcessed event.  <a href="class_tri_lib_1_1_asset_loader_base.html#ad4eb41e7b70670b4de413e6e4a3de298">More...</a><br /></td></tr>
<tr class="separator:ad4eb41e7b70670b4de413e6e4a3de298 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abc98e07d817d0e6c66843b6bb6e82c33 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#abc98e07d817d0e6c66843b6bb6e82c33">SetupAnimations</a> (GameObject gameObject, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options)</td></tr>
<tr class="memdesc:abc98e07d817d0e6c66843b6bb6e82c33 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Setups animation components and UnityEngine.AnimationClip clips into the given UnityEngine.GameObject.  <a href="class_tri_lib_1_1_asset_loader_base.html#abc98e07d817d0e6c66843b6bb6e82c33">More...</a><br /></td></tr>
<tr class="separator:abc98e07d817d0e6c66843b6bb6e82c33 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a388d4a9d75ebd4eca5c964ebdb7e83d7 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual GameObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a388d4a9d75ebd4eca5c964ebdb7e83d7">TransformNodeData</a> (<a class="el" href="class_tri_lib_1_1_node_data.html">NodeData</a> nodeData, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options, GameObject existingGameObject=null)</td></tr>
<tr class="memdesc:a388d4a9d75ebd4eca5c964ebdb7e83d7 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transforms given <a class="el" href="class_tri_lib_1_1_node_data.html" title="Internally represents a Unity UnityEngine.GameObject.">TriLib.NodeData</a> into a UnityEngine.GameObject.  <a href="class_tri_lib_1_1_asset_loader_base.html#a388d4a9d75ebd4eca5c964ebdb7e83d7">More...</a><br /></td></tr>
<tr class="separator:a388d4a9d75ebd4eca5c964ebdb7e83d7 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab927e6262ba4b326f48ae748e99defcb inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ab927e6262ba4b326f48ae748e99defcb">CreateMeshComponents</a> (GameObject gameObject, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options, Mesh mesh, bool hasBoneInfo, Material[] combinedMaterials, IList&lt; string &gt; boneNames=null, Material singleMaterial=null, <a class="el" href="class_tri_lib_1_1_mesh_data.html">MeshData</a> meshData=null, string connectionKey=null)</td></tr>
<tr class="memdesc:ab927e6262ba4b326f48ae748e99defcb inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates mesh rendering components into given UnityEngine.GameObject.  <a href="class_tri_lib_1_1_asset_loader_base.html#ab927e6262ba4b326f48ae748e99defcb">More...</a><br /></td></tr>
<tr class="separator:ab927e6262ba4b326f48ae748e99defcb inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9d2398c46dd12c70a55b2348c693f0a inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#af9d2398c46dd12c70a55b2348c693f0a">TransformCameraData</a> (GameObject gameObject, <a class="el" href="class_tri_lib_1_1_camera_data.html">CameraData</a> cameraData, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options)</td></tr>
<tr class="memdesc:af9d2398c46dd12c70a55b2348c693f0a inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transforms the given <a class="el" href="class_tri_lib_1_1_camera_data.html" title="Internally represents a Unity UnityEngine.Camera.">TriLib.CameraData</a> into a UnityEngine.Camera.  <a href="class_tri_lib_1_1_asset_loader_base.html#af9d2398c46dd12c70a55b2348c693f0a">More...</a><br /></td></tr>
<tr class="separator:af9d2398c46dd12c70a55b2348c693f0a inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1fb0aa9effff0371b4b582dc1eb29f6 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#af1fb0aa9effff0371b4b582dc1eb29f6">TransformAnimationData</a> (<a class="el" href="class_tri_lib_1_1_animation_data.html">AnimationData</a> animationData, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options, GameObject gameObject, bool useWrapperGameObject=false)</td></tr>
<tr class="memdesc:af1fb0aa9effff0371b4b582dc1eb29f6 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transforms the given <a class="el" href="class_tri_lib_1_1_animation_data.html" title="Internally represents an Unity UnityEngine.AnimationClip.">TriLib.AnimationData</a> into a UnityEngine.AnimationClip.  <a href="class_tri_lib_1_1_asset_loader_base.html#af1fb0aa9effff0371b4b582dc1eb29f6">More...</a><br /></td></tr>
<tr class="separator:af1fb0aa9effff0371b4b582dc1eb29f6 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4af1e143ac75c2c9f20820bf7bed047 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac4af1e143ac75c2c9f20820bf7bed047">TransformMeshData</a> (<a class="el" href="class_tri_lib_1_1_mesh_data.html">MeshData</a> meshData, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options)</td></tr>
<tr class="memdesc:ac4af1e143ac75c2c9f20820bf7bed047 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transforms the given <a class="el" href="class_tri_lib_1_1_mesh_data.html" title="Internally represents a Unity UnityEngine.Mesh.">TriLib.MeshData</a> into a UnityEngine.Mesh.  <a href="class_tri_lib_1_1_asset_loader_base.html#ac4af1e143ac75c2c9f20820bf7bed047">More...</a><br /></td></tr>
<tr class="separator:ac4af1e143ac75c2c9f20820bf7bed047 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba8da94f12b92661bab78849080af84b inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aba8da94f12b92661bab78849080af84b">IsUsingHDRP</a> ()</td></tr>
<tr class="memdesc:aba8da94f12b92661bab78849080af84b inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Checks if project is using HDRP render pipeline.  <a href="class_tri_lib_1_1_asset_loader_base.html#aba8da94f12b92661bab78849080af84b">More...</a><br /></td></tr>
<tr class="separator:aba8da94f12b92661bab78849080af84b inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac4df586d760667b950100ebdbafaa3bd inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ac4df586d760667b950100ebdbafaa3bd">RemapMaterialProperty</a> (string property)</td></tr>
<tr class="memdesc:ac4df586d760667b950100ebdbafaa3bd inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Override this method to rename Material Property names when using different Rendering Pipelines or working with custom Materials.  <a href="class_tri_lib_1_1_asset_loader_base.html#ac4df586d760667b950100ebdbafaa3bd">More...</a><br /></td></tr>
<tr class="separator:ac4df586d760667b950100ebdbafaa3bd inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3aea7bf04393f585a834ab187aa2984 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae3aea7bf04393f585a834ab187aa2984">TransformMaterialData</a> (<a class="el" href="class_tri_lib_1_1_material_data.html">MaterialData</a> materialData, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options, string basePath=null)</td></tr>
<tr class="memdesc:ae3aea7bf04393f585a834ab187aa2984 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Transforms the given <a class="el" href="class_tri_lib_1_1_material_data.html" title="Internally represents a Unity UnityEngine.Material.">TriLib.MaterialData</a> into a UnityEngine.Material.  <a href="class_tri_lib_1_1_asset_loader_base.html#ae3aea7bf04393f585a834ab187aa2984">More...</a><br /></td></tr>
<tr class="separator:ae3aea7bf04393f585a834ab187aa2984 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4080dcdcb39f7c0b9b41be77123f0e20 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual Material&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4080dcdcb39f7c0b9b41be77123f0e20">LoadMaterial</a> (string name, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options, bool hasAlpha, bool hasSpecular)</td></tr>
<tr class="memdesc:a4080dcdcb39f7c0b9b41be77123f0e20 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new UnityEngine.Material or loads an existing UnityEngine.Material with the given name.  <a href="class_tri_lib_1_1_asset_loader_base.html#a4080dcdcb39f7c0b9b41be77123f0e20">More...</a><br /></td></tr>
<tr class="separator:a4080dcdcb39f7c0b9b41be77123f0e20 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab6c8de900e3fcf42ceddf619db594ec4 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual Texture2D&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ab6c8de900e3fcf42ceddf619db594ec4">LoadTextureFromFile</a> (string path, string name, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options, <a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a> embeddedTextureData, TextureWrapMode textureWrapMode, ref bool hasAlphaChannel, bool isNormalMap, bool checkAlphaChannel=false)</td></tr>
<tr class="memdesc:ab6c8de900e3fcf42ceddf619db594ec4 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new UnityEngine.Texture2D or loads an existing UnityEngine.Texture2D with the given path.  <a href="class_tri_lib_1_1_asset_loader_base.html#ab6c8de900e3fcf42ceddf619db594ec4">More...</a><br /></td></tr>
<tr class="separator:ab6c8de900e3fcf42ceddf619db594ec4 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e5fdfaafa86bce44152f75b3ef0e19d inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a5e5fdfaafa86bce44152f75b3ef0e19d">BuildMaterials</a> (string basePath, <a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a> options, <a class="el" href="namespace_tri_lib.html#a5a26f74a4ebcff8138135eac4633ac33">LoadTextureDataCallback</a> loadTextureDataCallback=null)</td></tr>
<tr class="memdesc:a5e5fdfaafa86bce44152f75b3ef0e19d inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Builds the <a class="el" href="class_tri_lib_1_1_material_data.html" title="Internally represents a Unity UnityEngine.Material.">TriLib.MaterialData</a> list for given scene.  <a href="class_tri_lib_1_1_asset_loader_base.html#a5e5fdfaafa86bce44152f75b3ef0e19d">More...</a><br /></td></tr>
<tr class="separator:a5e5fdfaafa86bce44152f75b3ef0e19d inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97f6baa7e86a10852089dd6af291f05e inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a97f6baa7e86a10852089dd6af291f05e">LoadTextureData</a> (string path, string basePath)</td></tr>
<tr class="memdesc:a97f6baa7e86a10852089dd6af291f05e inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Tries to load texture data from the given path, searching from basePath.  <a href="class_tri_lib_1_1_asset_loader_base.html#a97f6baa7e86a10852089dd6af291f05e">More...</a><br /></td></tr>
<tr class="separator:a97f6baa7e86a10852089dd6af291f05e inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a68d2fb33203027ace2f6587b38a152f1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_tri_lib_1_1_embedded_texture_data.html">EmbeddedTextureData</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a68d2fb33203027ace2f6587b38a152f1">LoadEmbeddedTextureData</a> (IntPtr texture, string textureName)</td></tr>
<tr class="memdesc:a68d2fb33203027ace2f6587b38a152f1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Loads an embedded texture data.  <a href="class_tri_lib_1_1_asset_loader_base.html#a68d2fb33203027ace2f6587b38a152f1">More...</a><br /></td></tr>
<tr class="separator:a68d2fb33203027ace2f6587b38a152f1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a53f66be426d42749f469c002b613deb1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a53f66be426d42749f469c002b613deb1">FixNodeName</a> (string name, uint nodeId)</td></tr>
<tr class="memdesc:a53f66be426d42749f469c002b613deb1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generates a unique node name, if the given name is empty.  <a href="class_tri_lib_1_1_asset_loader_base.html#a53f66be426d42749f469c002b613deb1">More...</a><br /></td></tr>
<tr class="separator:a53f66be426d42749f469c002b613deb1 inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fa87fa32262fda9f599285b98a3bc1c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a1fa87fa32262fda9f599285b98a3bc1c">FixName</a> (string name, uint id)</td></tr>
<tr class="memdesc:a1fa87fa32262fda9f599285b98a3bc1c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generates a unique name, if the given name is empty.  <a href="class_tri_lib_1_1_asset_loader_base.html#a1fa87fa32262fda9f599285b98a3bc1c">More...</a><br /></td></tr>
<tr class="separator:a1fa87fa32262fda9f599285b98a3bc1c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0556ed342f7f7558ad1bb8304e2f07c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">virtual string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aa0556ed342f7f7558ad1bb8304e2f07c">FixName</a> (string name)</td></tr>
<tr class="memdesc:aa0556ed342f7f7558ad1bb8304e2f07c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Generates a unique name using GUIDs, if the given name is empty.  <a href="class_tri_lib_1_1_asset_loader_base.html#aa0556ed342f7f7558ad1bb8304e2f07c">More...</a><br /></td></tr>
<tr class="separator:aa0556ed342f7f7558ad1bb8304e2f07c inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab883294ad5f5dbd4eeb0c4a9a1b60b0d inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ab883294ad5f5dbd4eeb0c4a9a1b60b0d">ReleaseImport</a> ()</td></tr>
<tr class="memdesc:ab883294ad5f5dbd4eeb0c4a9a1b60b0d inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Releases allocated resources.  <a href="class_tri_lib_1_1_asset_loader_base.html#ab883294ad5f5dbd4eeb0c4a9a1b60b0d">More...</a><br /></td></tr>
<tr class="separator:ab883294ad5f5dbd4eeb0c4a9a1b60b0d inherit pro_methods_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:ae745d71e76bce2fd473de1c878cb6a50 inherit pro_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">IntPtr&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ae745d71e76bce2fd473de1c878cb6a50">Scene</a></td></tr>
<tr class="memdesc:ae745d71e76bce2fd473de1c878cb6a50 inherit pro_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to Assimp loaded scene.  <a href="class_tri_lib_1_1_asset_loader_base.html#ae745d71e76bce2fd473de1c878cb6a50">More...</a><br /></td></tr>
<tr class="separator:ae745d71e76bce2fd473de1c878cb6a50 inherit pro_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_static_attribs_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('pro_static_attribs_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Static Protected Attributes inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:a0f8dd23ce1fc1893109fc4ed7884feaa inherit pro_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a0f8dd23ce1fc1893109fc4ed7884feaa">AssimpFilenameMagicString</a> = &quot;$$$___magic___$$$&quot;</td></tr>
<tr class="memdesc:a0f8dd23ce1fc1893109fc4ed7884feaa inherit pro_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Assimp uses this prefix when loading files from memory.  <a href="class_tri_lib_1_1_asset_loader_base.html#a0f8dd23ce1fc1893109fc4ed7884feaa">More...</a><br /></td></tr>
<tr class="separator:a0f8dd23ce1fc1893109fc4ed7884feaa inherit pro_static_attribs_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header properties_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('properties_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Properties inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:a822d8367552fe84dd64fbbdbb54dedc7 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a822d8367552fe84dd64fbbdbb54dedc7">HasOnMeshCreated</a><code> [get]</code></td></tr>
<tr class="memdesc:a822d8367552fe84dd64fbbdbb54dedc7 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether this instance has on mesh created event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a822d8367552fe84dd64fbbdbb54dedc7">More...</a><br /></td></tr>
<tr class="separator:a822d8367552fe84dd64fbbdbb54dedc7 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2cc5f58ea455215cbb7ada39276770c0 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a2cc5f58ea455215cbb7ada39276770c0">HasOnMaterialCreated</a><code> [get]</code></td></tr>
<tr class="memdesc:a2cc5f58ea455215cbb7ada39276770c0 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether this instance has on material created event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a2cc5f58ea455215cbb7ada39276770c0">More...</a><br /></td></tr>
<tr class="separator:a2cc5f58ea455215cbb7ada39276770c0 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45dce2d4a5e292766770b4480c6c0400 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a45dce2d4a5e292766770b4480c6c0400">HasOnTextureLoaded</a><code> [get]</code></td></tr>
<tr class="memdesc:a45dce2d4a5e292766770b4480c6c0400 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether this instance has on texture loaded event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a45dce2d4a5e292766770b4480c6c0400">More...</a><br /></td></tr>
<tr class="separator:a45dce2d4a5e292766770b4480c6c0400 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4941192fff6480fdb5dc322f51753947 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a id="a4941192fff6480fdb5dc322f51753947" name="a4941192fff6480fdb5dc322f51753947"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>HasOnAvatarCreated</b><code> [get]</code></td></tr>
<tr class="separator:a4941192fff6480fdb5dc322f51753947 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afce94b341cee113582e85e7226d93db3 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#afce94b341cee113582e85e7226d93db3">HasOnAnimationClipCreated</a><code> [get]</code></td></tr>
<tr class="memdesc:afce94b341cee113582e85e7226d93db3 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether this instance has on animation clip created event.  <a href="class_tri_lib_1_1_asset_loader_base.html#afce94b341cee113582e85e7226d93db3">More...</a><br /></td></tr>
<tr class="separator:afce94b341cee113582e85e7226d93db3 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab49c517279016c05764b73a7b4576eb1 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#ab49c517279016c05764b73a7b4576eb1">HasOnObjectLoaded</a><code> [get]</code></td></tr>
<tr class="memdesc:ab49c517279016c05764b73a7b4576eb1 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether this instance has on object loaded event.  <a href="class_tri_lib_1_1_asset_loader_base.html#ab49c517279016c05764b73a7b4576eb1">More...</a><br /></td></tr>
<tr class="separator:ab49c517279016c05764b73a7b4576eb1 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cd443cd08c3ac6019247bb5ffd38462 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a0cd443cd08c3ac6019247bb5ffd38462">HasOnMetadataProcessed</a><code> [get]</code></td></tr>
<tr class="memdesc:a0cd443cd08c3ac6019247bb5ffd38462 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether this instance has on metadata processed event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a0cd443cd08c3ac6019247bb5ffd38462">More...</a><br /></td></tr>
<tr class="separator:a0cd443cd08c3ac6019247bb5ffd38462 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b738450e4e28c2411e5de2ca1585486 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a7b738450e4e28c2411e5de2ca1585486">HasOnBlendShapeKeyCreated</a><code> [get]</code></td></tr>
<tr class="memdesc:a7b738450e4e28c2411e5de2ca1585486 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets a value indicating whether this instance has on blend-shape key created event.  <a href="class_tri_lib_1_1_asset_loader_base.html#a7b738450e4e28c2411e5de2ca1585486">More...</a><br /></td></tr>
<tr class="separator:a7b738450e4e28c2411e5de2ca1585486 inherit properties_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header events_class_tri_lib_1_1_asset_loader_base"><td colspan="2" onclick="javascript:toggleInherit('events_class_tri_lib_1_1_asset_loader_base')"><img src="closed.png" alt="-"/>&#160;Events inherited from <a class="el" href="class_tri_lib_1_1_asset_loader_base.html">TriLib.AssetLoaderBase</a></td></tr>
<tr class="memitem:a4e52e2858d32f47452044e9ace3bebef inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#a9c9419cd89ec12f9954438305c039c44">EmbeddedTextureLoadCallback</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a4e52e2858d32f47452044e9ace3bebef">EmbeddedTextureLoad</a></td></tr>
<tr class="memdesc:a4e52e2858d32f47452044e9ace3bebef inherit events_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to assign the callback that will be triggered when a texture looks up for embedded data.  <a href="class_tri_lib_1_1_asset_loader_base.html#a4e52e2858d32f47452044e9ace3bebef">More...</a><br /></td></tr>
<tr class="separator:a4e52e2858d32f47452044e9ace3bebef inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a22273e3d7ab966cf91930645e640f923 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#aa973ed297057ea84004ae8b75b368d29">MeshCreatedHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a22273e3d7ab966cf91930645e640f923">OnMeshCreated</a></td></tr>
<tr class="memdesc:a22273e3d7ab966cf91930645e640f923 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to assign the event that occurs when a mesh is loaded.  <a href="class_tri_lib_1_1_asset_loader_base.html#a22273e3d7ab966cf91930645e640f923">More...</a><br /></td></tr>
<tr class="separator:a22273e3d7ab966cf91930645e640f923 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f5734f25524df0e1bacb168479e97e6 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#a82fca2459006c57cd350c342fc1fa3ce">MaterialCreatedHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a6f5734f25524df0e1bacb168479e97e6">OnMaterialCreated</a></td></tr>
<tr class="memdesc:a6f5734f25524df0e1bacb168479e97e6 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to assign the event that occurs when a material is created.  <a href="class_tri_lib_1_1_asset_loader_base.html#a6f5734f25524df0e1bacb168479e97e6">More...</a><br /></td></tr>
<tr class="separator:a6f5734f25524df0e1bacb168479e97e6 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aafe2c6ce4dbde3ecb6356ce7036609ed inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#aa702927d234b3c06824161ecd963fbc7">TextureLoadHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#aafe2c6ce4dbde3ecb6356ce7036609ed">OnTextureLoaded</a></td></tr>
<tr class="memdesc:aafe2c6ce4dbde3ecb6356ce7036609ed inherit events_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to assign the event that occurs when a texture is loaded.  <a href="class_tri_lib_1_1_asset_loader_base.html#aafe2c6ce4dbde3ecb6356ce7036609ed">More...</a><br /></td></tr>
<tr class="separator:aafe2c6ce4dbde3ecb6356ce7036609ed inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0527d4693465e2145d61864ad0c083c0 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a id="a0527d4693465e2145d61864ad0c083c0" name="a0527d4693465e2145d61864ad0c083c0"></a>
<a class="el" href="namespace_tri_lib.html#a5685574af3f428ce46cc049f6c002406">AvatarCreatedHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><b>OnAvatarCreated</b></td></tr>
<tr class="separator:a0527d4693465e2145d61864ad0c083c0 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5880a3664f131477ac505e10d9b1cdda inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#a2087da18b5322c2c97a441cab1a453a9">AnimationClipCreatedHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a5880a3664f131477ac505e10d9b1cdda">OnAnimationClipCreated</a></td></tr>
<tr class="memdesc:a5880a3664f131477ac505e10d9b1cdda inherit events_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to assign the event that occurs when an animation is created.  <a href="class_tri_lib_1_1_asset_loader_base.html#a5880a3664f131477ac505e10d9b1cdda">More...</a><br /></td></tr>
<tr class="separator:a5880a3664f131477ac505e10d9b1cdda inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abd1b601f7e1e6d3809d7029a11e970a2 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#a9daf3939b26812f1c6b8ce45223cebde">ObjectLoadedHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#abd1b601f7e1e6d3809d7029a11e970a2">OnObjectLoaded</a></td></tr>
<tr class="memdesc:abd1b601f7e1e6d3809d7029a11e970a2 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to assign the event that occurs when the asset is loaded.  <a href="class_tri_lib_1_1_asset_loader_base.html#abd1b601f7e1e6d3809d7029a11e970a2">More...</a><br /></td></tr>
<tr class="separator:abd1b601f7e1e6d3809d7029a11e970a2 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a128f9310c431d0705f35503aef8b4e4f inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#aa3525ab1c9d6ce079a8e0626eb444d6a">MetadataProcessedHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a128f9310c431d0705f35503aef8b4e4f">OnMetadataProcessed</a></td></tr>
<tr class="memdesc:a128f9310c431d0705f35503aef8b4e4f inherit events_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to assign the event that will occurs when each file metadata is processed.  <a href="class_tri_lib_1_1_asset_loader_base.html#a128f9310c431d0705f35503aef8b4e4f">More...</a><br /></td></tr>
<tr class="separator:a128f9310c431d0705f35503aef8b4e4f inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca7c121f4fae8c0e43c39d88d82c216 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespace_tri_lib.html#ac4e55754b655cc8a70d70c7b0f4bdef5">BlendShapeKeyCreatedHandle</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_tri_lib_1_1_asset_loader_base.html#a3ca7c121f4fae8c0e43c39d88d82c216">OnBlendShapeKeyCreated</a></td></tr>
<tr class="memdesc:a3ca7c121f4fae8c0e43c39d88d82c216 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="mdescLeft">&#160;</td><td class="mdescRight">Use this field to assign the event that occurs when a blend-shape key is created.  <a href="class_tri_lib_1_1_asset_loader_base.html#a3ca7c121f4fae8c0e43c39d88d82c216">More...</a><br /></td></tr>
<tr class="separator:a3ca7c121f4fae8c0e43c39d88d82c216 inherit events_class_tri_lib_1_1_asset_loader_base"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Represents an Asset Loader which handles ZIP files (extracting them locally) and has synchronous and asynchronous methods. </p>
<p >If you wish to simply load files from ZIP files without extracting them, use <a class="el" href="class_tri_lib_1_1_asset_loader.html" title="Represents a synchronous asset loader.">AssetLoader</a> or <a class="el" href="class_tri_lib_1_1_asset_loader_async.html" title="Represents an asynchronous asset loader.">AssetLoaderAsync</a> instead. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a265ca6c671ae06abbc23dc9220f2895e" name="a265ca6c671ae06abbc23dc9220f2895e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a265ca6c671ae06abbc23dc9220f2895e">&#9670;&nbsp;</a></span>LoadFromFile()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">GameObject TriLib.AssetLoaderZip.LoadFromFile </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a>&#160;</td>
          <td class="paramname"><em>options</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GameObject&#160;</td>
          <td class="paramname"><em>wrapperGameObject</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a>&#160;</td>
          <td class="paramname"><em>progressCallback</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Loads a UnityEngine.GameObject from input filename with defined options. </p>
<dl class="section warning"><dt>Warning</dt><dd>To ensure your materials will be loaded, don´t remove the material files included in the package. </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Filename used to load the UnityEngine.GameObject.</td></tr>
    <tr><td class="paramname">options</td><td><a class="el" href="class_tri_lib_1_1_asset_loader_options.html" title="Represents a series of asset loading options.">AssetLoaderOptions</a> used to load the object.</td></tr>
    <tr><td class="paramname">wrapperGameObject</td><td>Use this field to load the new UnityEngine.GameObject into referenced UnityEngine.GameObject.</td></tr>
    <tr><td class="paramname">progressCallback</td><td>Callback used to retrieve file loading percentage.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A new UnityEngine.GameObject.</dd></dl>
<div class="fragment"><div class="line"><span class="keyword">protected</span> <span class="keywordtype">void</span> Awake() {</div>
<div class="line">    GameObject myGameObject;</div>
<div class="line">    <span class="keywordflow">try</span> {</div>
<div class="line">        <span class="keyword">using</span> (var assetLoader = <span class="keyword">new</span> AssetLoader()) {</div>
<div class="line">            gameObject = assetLoader.LoadFromFile(<span class="stringliteral">&quot;mymodel.fbx&quot;</span>);</div>
<div class="line">        }</div>
<div class="line">    } <span class="keywordflow">catch</span> (Exception e) {</div>
<div class="line">        <a class="code" href="_asset_loader_window_8cs.html#a0100be52d45f14348918ea69ec09f959">Debug</a>.LogFormat(<span class="stringliteral">&quot;Unable to load mymodel.fbx. The loader returned: {0}&quot;</span>, e);</div>
<div class="line">    }</div>
<div class="line">}</div>
<div class="ttc" id="a_asset_loader_window_8cs_html_a0100be52d45f14348918ea69ec09f959"><div class="ttname"><a href="_asset_loader_window_8cs.html#a0100be52d45f14348918ea69ec09f959">Debug</a></div><div class="ttdeci">UnityEngine.Debug Debug</div><div class="ttdef"><b>Definition:</b> AssetLoaderWindow.cs:6</div></div>
</div><!-- fragment --> 
</div>
</div>
<a id="a144e28ece6a7fa071224c8e579fb4bec" name="a144e28ece6a7fa071224c8e579fb4bec"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a144e28ece6a7fa071224c8e579fb4bec">&#9670;&nbsp;</a></span>LoadFromFileAsync()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Thread TriLib.AssetLoaderZip.LoadFromFileAsync </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>filename</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_tri_lib_1_1_asset_loader_options.html">AssetLoaderOptions</a>&#160;</td>
          <td class="paramname"><em>options</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">GameObject&#160;</td>
          <td class="paramname"><em>wrapperGameObject</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespace_tri_lib.html#a9daf3939b26812f1c6b8ce45223cebde">ObjectLoadedHandle</a>&#160;</td>
          <td class="paramname"><em>onAssetLoaded</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_tri_lib_1_1_assimp_interop.html#a870509c848be41938e5efe2df2dac82c">AssimpInterop.ProgressCallback</a>&#160;</td>
          <td class="paramname"><em>progressCallback</em> = <code>null</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Asynchronously loads a UnityEngine.GameObject from input filename with defined options. </p>
<dl class="section warning"><dt>Warning</dt><dd>To ensure your materials will be loaded, don´t remove the material files included in the package. </dd></dl>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">filename</td><td>Filename used to load the UnityEngine.GameObject.</td></tr>
    <tr><td class="paramname">options</td><td><a class="el" href="class_tri_lib_1_1_asset_loader_options.html" title="Represents a series of asset loading options.">AssetLoaderOptions</a> used to load the object.</td></tr>
    <tr><td class="paramname">wrapperGameObject</td><td>Use this field to load the new UnityEngine.GameObject into referenced UnityEngine.GameObject.</td></tr>
    <tr><td class="paramname">onAssetLoaded</td><td>The action that will be executed when the UnityEngine.GameObject be loaded.</td></tr>
    <tr><td class="paramname">progressCallback</td><td>Callback used to retrieve file loading percentage.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The created Thread on NET 2.0, otherwise returns the created Task.</dd></dl>
<div class="fragment"><div class="line"><span class="keyword">protected</span> <span class="keywordtype">void</span> Awake() {</div>
<div class="line">    GameObject myGameObject;</div>
<div class="line">    <span class="keywordflow">try</span> {</div>
<div class="line">        <span class="keyword">using</span> (var assetLoader = <span class="keyword">new</span> AssetLoader()) {</div>
<div class="line">            assetLoader.LoadFromFile(<span class="stringliteral">&quot;mymodel.fbx&quot;</span>, <span class="keyword">null</span>, <span class="keyword">null</span>, delegate(GameObject loadedGameObject) {</div>
<div class="line">                <a class="code" href="_asset_loader_window_8cs.html#a0100be52d45f14348918ea69ec09f959">Debug</a>.Log(<span class="stringliteral">&quot;My object &#39;&quot;</span> + loadedGameObject.name +  <span class="stringliteral">&quot;&#39; has been loaded!&quot;</span>);</div>
<div class="line">            });</div>
<div class="line">        }</div>
<div class="line">    } <span class="keywordflow">catch</span> (Exception e) {</div>
<div class="line">        <a class="code" href="_asset_loader_window_8cs.html#a0100be52d45f14348918ea69ec09f959">Debug</a>.LogFormat(<span class="stringliteral">&quot;Unable to load mymodel.fbx. The loader returned: {0}&quot;</span>, e);</div>
<div class="line">    }</div>
<div class="line">}</div>
</div><!-- fragment --> 
</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/chris/dev/unity/VivianUI/Assets/TriLib/TriLib/Scripts/AssetLoader/<a class="el" href="_asset_loader_zip_8cs.html">AssetLoaderZip.cs</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespace_tri_lib.html">TriLib</a></li><li class="navelem"><a class="el" href="class_tri_lib_1_1_asset_loader_zip.html">AssetLoaderZip</a></li>
    <li class="footer">Generated on Mon Dec 20 2021 15:24:23 for VivianUI by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.2 </li>
  </ul>
</div>
</body>
</html>
